Template Numerical Library: TNL::Meshes::MeshBuilder< Mesh > Class Template Reference

Template Numerical Library version\ main:0b2c40fb1

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
TNL::Meshes::MeshBuilder< Mesh > Class Template Reference

## Public Types
using | BoolVector = Containers::Vector< bool, Devices::Host, GlobalIndexType >
using | CellSeedMatrixType = typename MeshTraitsType::CellSeedMatrixType
using | CellSeedType = typename CellSeedMatrixType::EntitySeedMatrixSeed
using | CellTopology = typename MeshTraitsType::CellTopology
using | FaceSeedMatrixType = typename MeshTraitsType::FaceSeedMatrixType
using | FaceSeedType = typename FaceSeedMatrixType::EntitySeedMatrixSeed
using | GlobalIndexType = typename MeshTraitsType::GlobalIndexType
using | LocalIndexType = typename MeshTraitsType::LocalIndexType
using | MeshTraitsType = typename MeshType::MeshTraitsType
using | MeshType = Mesh
using | NeighborCountsArray = typename MeshTraitsType::NeighborCountsArray
using | PointArrayType = typename MeshTraitsType::PointArrayType
using | PointType = typename MeshTraitsType::PointType

## Public Member Functions
void | build (MeshType &mesh)
void | deduplicateFaces ()
void | deduplicatePoints (const double numericalThreshold=1e-9)
GlobalIndexType | getCellsCount () const
CellSeedType | getCellSeed (GlobalIndexType index)
GlobalIndexType | getFacesCount () const
FaceSeedType | getFaceSeed (GlobalIndexType index)
GlobalIndexType | getPointsCount () const
void | setCellCornersCounts (const NeighborCountsArray &counts)
void | setCellCornersCounts (NeighborCountsArray &&counts)
void | setEntitiesCount (const GlobalIndexType &points, const GlobalIndexType &cells=0, const GlobalIndexType &faces=0)
void | setFaceCornersCounts (const NeighborCountsArray &counts)
void | setFaceCornersCounts (NeighborCountsArray &&counts)
void | setPoint (GlobalIndexType index, const PointType &point)

The documentation for this class was generated from the following file:

- src/TNL/Meshes/MeshBuilder.h